﻿using System.Buffers;

namespace KcpNet
{
    public class KcpOutputCallback : IKcpCallback
    {
        private readonly IKcpIo _outputIo;

        public KcpOutputCallback(IKcpIo outputIo)
        {
            _outputIo = outputIo;
        }

        public void Output(IMemoryOwner<byte> buffer, int avalidLength)
        {
            _outputIo.Output(buffer.Memory, avalidLength);
        }
    }
}
